
axis_x = -1.9:0.2:1.9;
axis_y = -1.9:0.2:1.9;

[x,y] = meshgrid(axis_x,axis_y);

R1_x = x + 1;
R1_y = y;

R2_x = x - 1;
R2_y = y;

epsilon = 0.05;

Fx = R1_x ./sqrt(epsilon+R1_x.^2+R1_y.^2).^2 - R2_x ./sqrt(epsilon+R2_x.^2+R2_y.^2).^2;
Fy = R1_y ./sqrt(epsilon+R1_x.^2+R1_y.^2).^2 - R2_y ./sqrt(epsilon+R2_x.^2+R2_y.^2).^2;

quiver(x,y,Fx,Fy)

[x(:) y(:) Fx(:)*0.07 Fy(:)*0.07]