
reset

set key off

set terminal gif \
	size 600,600 \
	animate optimize

set out 'anim.gif'


set xr[0:4*3.1415927]
set yr[-1:1]


Nframe = 50;



do for [i=1:Nframe] {

set multiplot layout 3,1


f1(x) = sin(x - 2 * 3.1415927 * i/Nframe)
f2(x) = cos(2*x + 2* 3.1415927 * i/Nframe)

set yr[-1:1]

set ylabel 'f_1(x)'
plot f1(x)

set ylabel 'f_2(x)'
plot f2(x)

set ylabel 'sum, dif'

set yr[-2:2]
plot f1(x)+f2(x),f1(x)-f2(x)
#, -f1(x)+f2(x),-f1(x)-f2(x)
#,f1(x)+1,f1(x)-1

unset multiplot

}


set out
set term x11
