clear

axis = -1:1./50.:1;

[x,y] = meshgrid(axis);

plotfunc = (sin(x*pi).*cos(y*pi/2).*(0.5+(x*pi+y*pi))).^2;
plotfunc_D = [zeros(size(axis)); plotfunc(3:end,:)-plotfunc(1:end-2,:); zeros(size(axis))];

subplot(2,2,1)
colorbar
subplot(2,2,2)
pcolor(x,y,plotfunc)
colorbar
subplot(2,2,3)
colorbar
subplot(2,2,4)
pcolor(x,y,plotfunc_D)
colorbar

[y(:) x(:) plotfunc(:) plotfunc_D(:)];