
reset


set title 'ELECTRIC FIELD BETWEEN TWO CHARGES'

set key off

set size ratio 1

set xlabel 'x'
set ylabel 'y'

set linestyle 1 lc "black" pt 7 ps 1.5
set linestyle 2 lc "royalblue" lw 3
set linestyle 3 lc "dark-salmon" lw 3

set object 1 circle at first -1,0 size first 0.1 front fs solid fc 'blue'
set object 2 circle at first +1,0 size first 0.1 front fs solid fc 'red'

set arrow 1 from first 0,-2 to 0,+2 lc 'gray70' lw 3 dt 3 nohead

plot \
	'Efield.dat' w vectors lc 'black'
